summaryrefslogtreecommitdiff
path: root/init.d/hostname.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/hostname.in')
-rw-r--r--init.d/hostname.in17
1 files changed, 17 insertions, 0 deletions
diff --git a/init.d/hostname.in b/init.d/hostname.in
new file mode 100644
index 0000000..646ceb8
--- /dev/null
+++ b/init.d/hostname.in
@@ -0,0 +1,17 @@
+#!/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+description="Sets the hostname of the machine."
+
+depend() {
+ keyword noprefix
+}
+
+start()
+{
+ hostname=${hostname-${HOSTNAME-localhost}}
+ ebegin "Setting hostname to ${hostname}"
+ hostname "${hostname}"
+ eend $? "Failed to set the hostname"
+}